summaryrefslogtreecommitdiffstats
path: root/testing/mpd/mpd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/mpd/mpd.initd')
-rw-r--r--testing/mpd/mpd.initd43
1 files changed, 43 insertions, 0 deletions
diff --git a/testing/mpd/mpd.initd b/testing/mpd/mpd.initd
new file mode 100644
index 00000000..7601ed4f
--- /dev/null
+++ b/testing/mpd/mpd.initd
@@ -0,0 +1,43 @@
+#!/sbin/runscript
+
+# init.d file for music player daemon
+
+NAME=mpd
+DAEMON=/usr/sbin/$NAME
+CONF=/etc/mpd.conf
+
+depend() {
+ need localmount
+ use net netmount nfsmount esound pulseaudio
+}
+
+checkconfig() {
+ [ -f "$CONF" ] && return 0
+ eerror "configuration file $CONF is missing"
+ return 1
+}
+
+get_pidfile() {
+ pidfile=$(awk '$1 == "pid_file" { print $2 }' "$CONF")
+ pidfile=${pidfile:-/var/run/mpd/$NAME.pid}
+}
+
+start() {
+ checkconf || return 1
+ get_pidfile
+ ebegin "Starting ${NAME}"
+ start-stop-daemon --start --quiet \
+ --pidfile $pidfile\
+ --exec ${DAEMON} -- ${MPD_OPTS}
+ eend $?
+}
+
+stop() {
+ get_pidfile
+ ebegin "Stopping ${NAME}"
+ start-stop-daemon --stop --quiet \
+ --pidfile $pidfile \
+ --exec ${DAEMON}
+ eend $?
+}
+